=== debian/control ===
Source: ros-rolling-demo-nodes-cpp
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-example-interfaces, ros-rolling-launch, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-launch-testing-ros, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-implementation-cmake, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-demo-nodes-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-example-interfaces, ros-rolling-launch-ros, ros-rolling-launch-xml, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: C++ nodes which were previously in the ros2/examples repository but are now just used for demo purposes.
