=== debian/changelog ===
ros-rolling-demo-nodes-cpp (0.31.1-1jammy) jammy; urgency=high

  * Remove unnecessary captures in the various demos. (#647 <https://github.com/ros2/demos/issues/647>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.31.0-1jammy) jammy; urgency=high

  * Dramatically speed up the demo_nodes_cpp tests (#641 <https://github.com/ros2/demos/issues/641>)
  * Switch to using RCLCPP logging macros in the lifecycle package. (#644 <https://github.com/ros2/demos/issues/644>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.30.1-1jammy) jammy; urgency=high

  * failed to call introspection_client (#643 <https://github.com/ros2/demos/issues/643>)
  * Contributors: Chen Lihui

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.30.0-1jammy) jammy; urgency=high

  * Small cleanups to the demos when running through them. (#639 <https://github.com/ros2/demos/issues/639>)
  * Cleanup demo_nodes_cpp CMake and dependencies (#638 <https://github.com/ros2/demos/issues/638>)
  * Change the service introspection parameter off value to 'disabled' (#634 <https://github.com/ros2/demos/issues/634>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.29.0-1jammy) jammy; urgency=high

  * Add demos for using logger service (#611 <https://github.com/ros2/demos/issues/611>)
  * Contributors: Barry Xu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.28.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.28.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.27.0-1jammy) jammy; urgency=high

  * Change all ROS2 -> ROS 2. (#610 <https://github.com/ros2/demos/issues/610>)
  * Add matched event demo for rclcpp and rclpy (#607 <https://github.com/ros2/demos/issues/607>)
  * Contributors: Barry Xu, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.26.0-1jammy) jammy; urgency=high

  * Fix the set_parameters_callback example program. (#608 <https://github.com/ros2/demos/issues/608>)
  * [demo_nodes_cpp] Add YAML launch demos for topics (#605 <https://github.com/ros2/demos/issues/605>)
  * update launch file name format to match documentation (#588 <https://github.com/ros2/demos/issues/588>)
  * Contributors: Chris Lalancette, Damien LaRocque, Patrick Wspanialy

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.25.0-1jammy) jammy; urgency=high

  * Service introspection (#602 <https://github.com/ros2/demos/issues/602>)
    * Add in a rclcpp and rclpy demo of introspection.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.24.1-1jammy) jammy; urgency=high

  * Added README.md for demo_cpp_nodes (#599 <https://github.com/ros2/demos/issues/599>)
  * Contributors: Gary Bey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.24.0-1jammy) jammy; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.23.0-1jammy) jammy; urgency=high

  * Demo for pre and post set parameter callback support (#565 <https://github.com/ros2/demos/issues/565>)
    * local parameter callback support
  * Contributors: Deepanshu Bansal

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.22.0-1jammy) jammy; urgency=high

  * counter starts from 1, not 2. (#562 <https://github.com/ros2/demos/issues/562>)
  * add a demo of content filter listener (#557 <https://github.com/ros2/demos/issues/557>)
  * Contributors: Chen Lihui, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.20.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.20.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Add how to fix the most vexing parse problem (#541 <https://github.com/ros2/demos/issues/541>)
    * use uniform initialization
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.17.0-1jammy) jammy; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp (0.16.0-1jammy) jammy; urgency=high


